New Chargeflow docs. Everything for merchants, platforms, and the API in one place.
Log in
Current (2025-04-01)Platforms (Connect) API

Merchants Disputes

Merchants disputes management endpoints

POST
/public/2025-04-01/platform/disputes
x-api-key<token>

Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

source_idstringRequired

The unique dispute identifier appears on the source (processor) from which the dispute originated.

Lengthlength <= 128
account_idstringRequired

The unique Chargeflow account identifier to which the dispute belongs. (Platforms only)

Match^[0-9a-fA-F]{24}$
created_atstringRequired

The time at which the dispute was created at the processor in ISO 8601 format.

Formatdate-time
reasonstringRequired

The reason the cardholder has disputed the transaction.

Value in

  • "fraud"
  • "not_received"
  • "not_as_described"
  • "canceled_recurring_billing"
  • "duplicate_charge"
  • "credit_not_processed"
  • "other"
due_bystringRequired

The deadline to submit evidence to challenge the dispute in ISO 8601 format.

Formatdate-time
amountnumberRequired

Disputed amount. Equal to or less than the disputed transaction amount.

Range0 <= value
currencystringRequired

Three-letter ISO 4217 currency code in uppercase.

Match^[A-Z]{3}$
Length3 <= length <= 3
statusstringRequired

The current status of the dispute.

Value in

  • "needs_response"
  • "under_review"
  • "won"
  • "lost"
stagestringOptional

The stage of the dispute. Default is chargeback.

Default"Chargeback"

Value in

  • "Chargeback"
  • "Inquiry"
  • "Pre_arbitration"
  • "Arbitration"
transactionobjectOptional

Creates a new Chargeflow transaction.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/public/2025-04-01/platform/disputes" \  -H "Content-Type: application/json" \  -d '{    "source_id": "du_123456789",    "account_id": "66e6ea9ecd94925a9f8060d9",    "created_at": "2024-02-10T12:00:00Z",    "reason": "fraud",    "due_by": "2024-02-20T12:00:00Z",    "amount": 100,    "currency": "USD",    "status": "needs_response"  }'
{  "id": "66e6ea9ecd94925a9f8060d9",  "source": "stripe",  "source_id": "du_123456789",  "account_id": "66e6ea9ecd94925a9f8060d9",  "ext_account_id": "acc_123456",  "created_at": "2024-02-10T12:00:00Z",  "reason": "fraud",  "due_by": "2024-02-20T12:00:00Z",  "amount": 100,  "currency": "USD",  "status": "needs_response",  "stage": "Chargeback",  "closed_at": "2025-01-27T10:00:00Z",  "transaction": "66e6ea9ecd94925a9f8060d9",  "subscription": "66e6ea9ecd94925a9f8060d9",  "order": "ord_1234567890"}
Was this page helpful?
llms.txt